/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/* ^- is the css reset and html styling is -v */

@font-face {
    font-family: "WinFont";
    src: url('fonts/MsSansSerif.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    image-rendering: pixelated;
}

:root {
    --win_bgDef: #C0C0C0;
    --win_inner-hl: #E0E0E0;
    --win_outer-hl: #FEFEFE;
    --win_inner-ll: #808080;
    --win_outer-ll: #000000;
    --win_text-col: #040404;
    
    --bg_text-col: #FFFFFF;
    --bg_bg-col: #008080;

    --inPxLl: 2px;
    --outPxLl: 4px;
    --inPxHl: -2px;
    --outPxHl: -4px;

    --winShadowDef: 0px var(--inPxHl) var(--win_inner-hl), var(--inPxHl) 0px var(--win_inner-hl), var(--inPxHl) var(--inPxHl) var(--win_inner-hl),
                var(--inPxHl) var(--inPxLl) var(--win_inner-ll), var(--inPxLl) var(--inPxHl) var(--win_inner-ll), var(--inPxLl) var(--inPxLl) var(--win_inner-ll),
                var(--inPxLl) var(--outPxHl) var(--win_outer-hl), var(--outPxHl) var(--inPxLl) var(--win_outer-hl), var(--outPxHl) var(--outPxHl) var(--win_outer-hl),
                var(--outPxHl) var(--outPxLl) var(--win_outer-ll), var(--outPxLl) var(--outPxHl) var(--win_outer-ll), var(--outPxLl) var(--outPxLl) var(--win_outer-ll)
    ;
    
    --winShadowInv: 0px var(--inPxHl) var(--win_inner-ll), var(--inPxHl) 0px var(--win_inner-ll), var(--inPxHl) var(--inPxHl) var(--win_inner-ll),
                var(--inPxHl) var(--inPxLl) var(--win_inner-hl), var(--inPxLl) var(--inPxHl) var(--win_inner-hl), var(--inPxLl) var(--inPxLl) var(--win_inner-hl),
                var(--inPxLl) var(--outPxHl) var(--win_outer-ll), var(--outPxHl) var(--inPxLl) var(--win_outer-ll), var(--outPxHl) var(--outPxHl) var(--win_outer-ll),
                var(--outPxHl) var(--outPxLl) var(--win_outer-hl), var(--outPxLl) var(--outPxHl) var(--win_outer-hl), var(--outPxLl) var(--outPxLl) var(--win_outer-hl)
    ;
    
    --winShadowText:0px var(--inPxHl) var(--win_outer-ll), var(--inPxHl) 0px var(--win_outer-ll), var(--inPxHl) var(--inPxHl) var(--win_outer-ll),
                var(--inPxHl) var(--inPxLl) var(--win_inner-hl), var(--inPxLl) var(--inPxHl) var(--win_inner-hl), var(--inPxLl) var(--inPxLl) var(--win_inner-hl),
                var(--inPxLl) var(--outPxHl) var(--win_inner-ll), var(--outPxHl) var(--inPxLl) var(--win_inner-ll), var(--outPxHl) var(--outPxHl) var(--win_inner-ll),
                var(--outPxHl) var(--outPxLl) var(--win_outer-hl), var(--outPxLl) var(--outPxHl) var(--win_outer-hl), var(--outPxLl) var(--outPxLl) var(--win_outer-hl)
    ;

    image-rendering: pixelated;
    visibility: visible;
}

body {
    background-color: var(--bg_bg-col);
    font-family: "WinFont", sans-serif;
    font-size: 20px;
    color: var(--bg_text-col);
}

h1,h2,h3,h4,h5,h6 {
    margin: 20px;
    margin-top: 5px;
    margin-bottom: 5px;
}
p {
    margin: 20px;
    margin-top: 5px;
    margin-bottom: 5px;
}

.topbar {
    box-shadow: 0px var(--inPxLl) var(--win_inner-ll),
                0px var(--outPxLl) var(--win_outer-ll)
    ;
    display: flex;

    width: 100%;
    height: 50px;
    background-color: var(--win_bgDef);
    
    color: var(--bg_text-col);

    margin-bottom: var(--outPxLl);
}

.topbar.winButton {
    width: 32px;
    height: 32px;
    margin: auto;
    margin-left: 6px;
    margin-right: 6px;
    padding: 0px;
    padding-right: 1px;

    font-size: 5px;

    display: block;
}
.topbar.winButton:active {
    padding: 0px;
    padding-left: 1px;
}

.iconImg {
    width: 32px;
    height: 32px;

    padding: 0px;
}

.logoImg {
    width: 138px;
    height: 38px;
    padding: 6px;

    display: block;
}

.desktopDiv {
    display: block;
    background-color: var(--bg_bg-col);
    color: var(--bg_text-col);

    font-family: "WinFont", sans-serif;
    font-size: 20px;

    width: 100%;
    height: 100%;
}

#focusArea {
    display: flex;
    margin: 20px;
}

#popupArea {
    display: block;
    float: right;
}

.windowDiv {
    display:block;
    padding: 7px;

    box-shadow: var(--winShadowDef);

    background-color: var(--win_bgDef); 
    color: var(--win_text-col);

    width: 100%;
    height: 100%;
    
    margin-right: var(--outPxLl);
}

.winButton {
    box-shadow: var(--winShadowDef);

    background-color: var(--win_bgDef); 
    color: var(--win_text-col);

    padding-top: 3px;
    padding-bottom: 1px;
    padding-left: 6px;
    padding-right: 6px;

    border: none;
    outline: none;

    margin: 0px;
    margin-right: var(--outPxLl);
    margin-left: var(--outPxLl);
}
.winButton:active {
    box-shadow: var(--winShadowInv);

    padding-top: 3px;
    padding-bottom: 1px;
    padding-left: 8px;
    padding-right: 4px;
}

.winTextInput {
    box-shadow: var(--winShadowText);

    background-color: var(--bg_text-col); 
    color: var(--win_text-col);
    border: none;
    border-radius: 0%;
    outline: none;

    margin-top: 10px;
    margin-left: 20px;
    margin-right: 20px;
}

.winCheckboxDiv {
    box-shadow: var(--winShadowText);

    background-color: var(--bg_text-col); 
    color: var(--win_text-col);
    border: none;
    border-radius: 0%;
    outline: none;

    width: 20px;
    height: 20px;
}
.winCheckbox {
    visibility: hidden;
}

.hidden {
    display: none !important;
}
.hiddenOccupySpace {
    visibility: hidden !important; 
}